Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class StrictNaturalLogarithm

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.StrictNaturalLogarithm

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

    public class StrictNaturalLogarithm

extends PostfixMathCommand

A strict version of Natural logarithm. For negative Double arguments the standard NaturalLogarithm class will convert treat the argument and compute the complex logarithm. This class will return Double.NaN for negative Double arguments.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`StrictNaturalLogarithm()` Logarithm base e.
`StrictNaturalLogarithm(double base)` Logarithm to any other base.

Method Summary
`java.lang.Object` | `ln(java.lang.Object param)`
`void` | `run(java.util.Stack<java.lang.Object> inStack)` Run the function on the stack.

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrictNaturalLogarithm

    public StrictNaturalLogarithm()

  Logarithm base e.

### StrictNaturalLogarithm

    public StrictNaturalLogarithm(double base)

  Logarithm to any other base. new StrictNaturalLogarithm(10) for base 10, new StrictNaturalLogarithm(2) for base 2.

  Parameters:
    `base` -

Method Detail

### run

    public void run(java.util.Stack<java.lang.Object> inStack)
             throws EvaluationException

  Description copied from interface: `PostfixMathCommandI`
  Run the function on the stack. Pops the arguments from the stack, and pushes the result on the top of the stack.

  Throws:
    `EvaluationException`

### ln

    public java.lang.Object ln(java.lang.Object param)
                        throws EvaluationException

  Throws:
    `EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep